Name:           javasqlite
Version:        20110106
Release:        %mkrel 1
Summary:        SQLite Java Wrapper/JDBC Driver

Group:          Development/Java
License:        BSD
URL:            http://www.ch-werner.de/javasqlite/
Source0:        http://www.ch-werner.de/javasqlite/%{name}-%{version}.tar.gz
# jnipath: Fedora specific, no need to send upstream
Patch0:         javasqlite-20110106-jnipath.patch
Patch1:		0011-Fix-highwater-handling-of-SQLite.Database.status.patch
BuildRequires:  sqlite-devel
BuildRequires:  java-rpmbuild
BuildRequires:  java-javadoc
BuildRequires:  libtool

%description
javasqlite is a Java wrapper including a basic JDBC driver for the
SQLite 2/3 database engine. It is designed using JNI to interface to
the SQLite API.

%package        javadoc
Summary:        API documentation for %{name}
Group:          Development/Java
BuildArch:	noarch
Requires:       java-javadoc

%description    javadoc
API documentation for %{name}.

%prep
%setup -q
%{__sed} -e 's|\@JNIPATH\@|%{_libdir}/%{name}|' %{PATCH0} | patch -p1
%patch1 -p1
%{__sed} -i -e 's/\r$//g' doc/ajhowto.txt
f=ChangeLog ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f

%build
%{configure2_5x} \
    --with-jdk=%{java_home} \
    --with-jardir=%{_jnidir} \
    --libdir=%{_libdir}/%{name}
%{__make} JAVAC_FLAGS="-source 5" LIBTOOL=%{_bindir}/libtool
%{__make} javadoc JAVADOCLINK=%{_javadocdir}/java

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std} LIBTOOL=%{_bindir}/libtool

#we don't want these
%{__rm} %{buildroot}%{_libdir}/%{name}/libsqlite_jni.*a

#javadocs
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a doc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
%{__rm} -rf %{buildroot}

#%check
#%{make} test

%files
%defattr(-,root,root)
%doc ChangeLog license.terms
%{_jnidir}/sqlite.jar
%{_libdir}/%{name}

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}
%{_javadocdir}/%{name}-%{version}


%changelog
* Fri Feb 18 2011 wally <wally> 20110106-1.mga1
+ Revision: 53538
- new version 20110106
- sync patches with Fedora
- tag javadoc subpackage as noarch
- clean .spec
- imported package javasqlite


* Wed Feb 18 2009 Jérôme Soyer <saispo@mandriva.org> 20081006-0.1.0mdv2009.1
+ Revision: 342343
- Disable test
- New upstream release

* Tue Jun 17 2008 Alexander Kurtakov <akurtakov@mandriva.org> 20080420-0.1.1mdv2009.0
+ Revision: 223772
- new version 20080420, removed not needed patches

* Wed May 14 2008 David Walluck <walluck@mandriva.org> 20080401-0.2.1mdv2009.0
+ Revision: 206934
- import javasqlite


* Thu Apr  3 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080401-2
- First Fedora build.

* Wed Apr  2 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080401-1
- Update to 20080401.
- Patch to install *.so as an unversioned module.
- Patch to fix parallel make (#439941, Colin Walters).
- Build with "-source 5" instead of "-source 5.0" (#439941, Colin Walters).
- Use %%{_jvmdir} instead of %%{_prefix}/lib/jvm.

* Thu Mar 20 2008 Ville Skyttä <ville.skytta at iki.fi> - 20080315-1
- 20080315; classpath, lib64, and getboolean patches applied upstream.
- Install to %%{_libdir}/%%{name} per current Fedora packaging guidelines.
- Patch to appease recent libtool.
- Patch to honor $RPM_OPT_FLAGS.

* Sat Nov 10 2007 Ville Skyttä <ville.skytta at iki.fi> - 20070915-0.2
- Build with -source 5.0.
- More classpath fixes.

* Tue Sep 18 2007 Ville Skyttä <ville.skytta at iki.fi> - 20070915-0.1
- 20070915.
- Disable parallel build, doesn't work.
- Patch to fix build and test suite classpath.
- Patch to add support for ResultSet.getBoolean().

* Fri Sep 14 2007 Ville Skyttä <ville.skytta at iki.fi> - 20070914-0.1
- First build.
